"use client";

import { AccountInfo } from "@/components/account-info";
import { UserDataContext } from "@/components/providers/userdata-provider";
import { useContext } from "react";

export function AccountDialog() {
	const userContext = useContext(UserDataContext);

	if (!userContext?.userData) {
		userContext?.setUserData({ name: "Mathis" });
		return <p>Loading...</p>;
	}

	//TODO No account context

	//TODO Loading context

	//TODO Account context
	return <AccountInfo userData={userContext.userData} />;
}
